Subject: Comments on Automatic Prefix Delegation Protocol(APDP) draft

From: "Gyu Myoung Lee" <[email-masked]>
Date: Thu, 20 Jun 2002 10:40:25 +0900

Hi, folks

I have followed up APDP draft and our members are implementing this protocol.
In this draft, I have the following questions.
 
1) For the Delegator Query procedure, there was scope fied (S bit) for representing site-local scope or global scope in previous version. But this field was excluded in the new prefix option. I think the prefix option must include this field. 
 
2) this draft defines only one prefix option. So there are some problems that each field has a different meaning according to message type (prefix request message and prefix delegation message). The explaination of message field is not enough.   How about seperate in two cases?  otherwise, I think the new prefix option (ex, prefix request option) is needed. Do you have any ideas?
 
3) In delegator query procedure, the prefix request message doesn't contain the prefix option. But I think a delegator query code MAY contain a prefix option and the Requestor can select the Delegator which is configured to provide the specified prefix length.
 
I expect to include these ideas in the updated version.
 
Thank you for reading
 
Regards 
 
Gyu Myoung Lee

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------